summaryrefslogtreecommitdiff
path: root/tests.branching/init-nonempty.script
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-22 17:07:49 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-22 17:07:49 +0000
commit5163d09c24285690c28456fa45837affe6ae591a (patch)
tree403375552c777c2f8d650733ad7eb2a5d4348a55 /tests.branching/init-nonempty.script
parenteff96464d8ece0a91846e765e828b6349481dcb3 (diff)
downloadmorph-5163d09c24285690c28456fa45837affe6ae591a.tar.gz
Add test cases for "morph init"
Diffstat (limited to 'tests.branching/init-nonempty.script')
-rwxr-xr-xtests.branching/init-nonempty.script24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests.branching/init-nonempty.script b/tests.branching/init-nonempty.script
new file mode 100755
index 00000000..8e18bb2f
--- /dev/null
+++ b/tests.branching/init-nonempty.script
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -eu
+
+# Test that "morph init" fails when given the name of an existing,
+# non-empty directory.
+
+touch "$DATADIR/foo"
+"$SRCDIR/scripts/test-morph" init "$DATADIR"